IF NOT EXISTS (SELECT * FROM dbo.CTABANCOS WHERE Codigo='99999999')BEGIN
    INSERT INTO dbo.CTABANCOS(Codigo, Nombre, PuntoVenta, Status)
    VALUES('99999999', -- Codigo - varchar(12)
    'VPOS - VERIFONE', -- Nombre - varchar(60)
    1   , -- PuntoVenta - tinyint
    1   -- Status - tinyint
        );
END;
GO
UPDATE dbo.CTABANCOS
SET Nombre='VPOS - VERIFONE', PuntoVenta=1, Status=1
WHERE Codigo='99999999';
GO
IF NOT EXISTS (SELECT * FROM dbo.BANCOS WHERE Codigo=99)BEGIN
    INSERT INTO dbo.BANCOS(Codigo, Nombre, Status)
    VALUES('99', -- Codigo - varchar(12)
    'OTROS BANCO NAC.', -- Nombre - varchar(30)
    1   -- Status - tinyint
        );
END;
GO
UPDATE dbo.BANCOS SET Nombre='OTROS BANCO NAC.', Status=1 WHERE Codigo=99;
GO
ALTER PROCEDURE [dbo].[RespaldoBD] @BD VARCHAR(20), @NombreDispositivo VARCHAR(20), @UbicacionNombreArchivoFisico VARCHAR(100)
AS
DECLARE @Log VARCHAR(20);
CHECKPOINT;
--la que se sobreescribe
IF NOT EXISTS (SELECT * FROM master.dbo.sysdevices WHERE name=@NombreDispositivo)
    EXEC master..sp_addumpdevice 'disk', @NombreDispositivo, @UbicacionNombreArchivoFisico;
BACKUP DATABASE @BD TO  @NombreDispositivo WITH INIT;
BACKUP LOG @BD TO  @NombreDispositivo;
SELECT @Log=RTRIM(name)FROM sysfiles WHERE fileid=2;
DBCC SHRINKFILE(@Log);
GO
GO
CREATE FUNCTION [dbo].[ExtraerEnteros](@String VARCHAR(2000))
RETURNS VARCHAR(1000)
AS BEGIN
    DECLARE @Count INT;
    DECLARE @IntNumbers VARCHAR(1000);
    SET @Count=0;
    SET @IntNumbers='';
    WHILE @Count<=LEN(@String)BEGIN
        IF SUBSTRING(@String, @Count, 1)>='0' AND SUBSTRING(@String, @Count, 1)<='9' BEGIN
            SET @IntNumbers=@IntNumbers+SUBSTRING(@String, @Count, 1);
        END;
        SET @Count=@Count+1;
    END;
    RETURN @IntNumbers;
END;
GO
ALTER TABLE [dbo].[FORMAPAGO] ADD [Orden] [INT] NULL;
GO
ALTER TABLE [dbo].[PAGOSVENTA]
ADD [JSON_Merchant] [VARCHAR](MAX) COLLATE Modern_Spanish_CI_AS NULL;
GO